commit:     d7bafc2cdaaf278cf586c986d445527c13085cdc
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Fri Jan  3 16:23:03 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Jan  3 22:07:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7bafc2c

sci-mathematics/manifold: add 3.0.1

Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sci-mathematics/manifold/Manifest              |  1 +
 sci-mathematics/manifold/manifold-3.0.1.ebuild | 83 ++++++++++++++++++++++++++
 sci-mathematics/manifold/metadata.xml          |  3 +
 3 files changed, 87 insertions(+)

diff --git a/sci-mathematics/manifold/Manifest 
b/sci-mathematics/manifold/Manifest
index 58b71739343e..2863e320ac7b 100644
--- a/sci-mathematics/manifold/Manifest
+++ b/sci-mathematics/manifold/Manifest
@@ -1 +1,2 @@
 DIST manifold-3.0.0_pre20241115.tar.gz 29143605 BLAKE2B 
84c3e4c98a9279187660f31e4010097de431472412f2591943c99195edad9f700115df4b362d968b95e3ee136c699eecf2dc9845001019f71e9cf7b0cbca4d0e
 SHA512 
bae671d190d8fbfc0ee12989a73a38d7d0ddf0e0081db8f56a446c09998e24f43828d70731f97d6948599f31ef6734f86183debc09f4cec07983af317ce0dba8
+DIST manifold-3.0.1.tar.gz 29246794 BLAKE2B 
342cc6a3f125613e2d8837f04936bfce0fd2bf6cc6390bf2924916f74e5528d0f082c17a646a52255f4c4087359fd312ee43a4b5661d6682fd8f1e98eaa905cf
 SHA512 
6970d7b30a0174eacd0a7f74d8e9647150f44144237815d6539a0669fcc74b5ddf336d12d1ee57b18ad6a97d8b58501cfe4072f9fd12c88395714471cb654f5a

diff --git a/sci-mathematics/manifold/manifold-3.0.1.ebuild 
b/sci-mathematics/manifold/manifold-3.0.1.ebuild
new file mode 100644
index 000000000000..966bc371e5ed
--- /dev/null
+++ b/sci-mathematics/manifold/manifold-3.0.1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit cmake python-single-r1
+
+DESCRIPTION="Geometry library for topological robustness"
+HOMEPAGE="https://github.com/elalish/manifold";
+
+if [[ ${PV} = *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/elalish/manifold.git";
+else
+       if [[ ${PV} = *pre* ]] ; then
+               COMMIT="e7e0780114881dcf6e5ad934323f2595966865f9"
+               
SRC_URI="https://github.com/elalish/manifold/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+               S="${WORKDIR}/${PN}-${COMMIT}"
+       else
+               
SRC_URI="https://github.com/elalish/manifold/releases/download/v${PV}/${P}.tar.gz";
+       fi
+
+       KEYWORDS="~amd64"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+IUSE="debug python +tbb test"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       tbb? ( dev-cpp/tbb:= )
+       sci-mathematics/clipper2
+       python? ( ${PYTHON_DEPS}
+               $(python_gen_cond_dep '
+                       dev-python/numpy[${PYTHON_USEDEP}]
+               ')
+       )
+"
+DEPEND="
+       python? (
+               $(python_gen_cond_dep '
+                       >=dev-python/nanobind-2.1.0[${PYTHON_USEDEP}]
+               ')
+       )
+       test? ( dev-cpp/gtest )
+       ${RDEPEND}
+"
+
+pkg_setup() {
+       use python && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       cmake_src_prepare
+
+       sed \
+               -e "/list(APPEND MANIFOLD_FLAGS/s/^/# DONOTSET /" \
+               -i CMakeLists.txt || die
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DMANIFOLD_CROSS_SECTION="yes"
+               -DMANIFOLD_DEBUG="$(usex debug)"
+               -DMANIFOLD_DOWNLOADS="no"
+               -DMANIFOLD_EXPORT="no"
+               -DMANIFOLD_JSBIND="no"
+               -DMANIFOLD_PAR="$(usex tbb ON OFF)"
+               -DMANIFOLD_PYBIND="$(usex python)"
+               -DMANIFOLD_TEST="$(usex test)"
+       )
+
+       cmake_src_configure
+}
+
+src_test() {
+       "${BUILD_DIR}/test/manifold_test" || die
+}

diff --git a/sci-mathematics/manifold/metadata.xml 
b/sci-mathematics/manifold/metadata.xml
index 7a2cd57d4d26..041754cb8dc3 100644
--- a/sci-mathematics/manifold/metadata.xml
+++ b/sci-mathematics/manifold/metadata.xml
@@ -12,4 +12,7 @@
        <upstream>
                <remote-id type="github">elalish/manifold</remote-id>
        </upstream>
+       <use>
+               <flag name="tbb">Enable Parallel backend with 
<pkg>dev-cpp/tbb</pkg></flag>
+       </use>
 </pkgmetadata>

Reply via email to